Package org.drinkless.tdlib

# Class TdApi.InputThumbnail

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputThumbnail

Enclosing class:
  `TdApi`

public static class TdApi.InputThumbnail extends TdApi.Object
A thumbnail to be sent along with a file; must be in JPEG or WEBP format for stickers, and less than 200 KB in size.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `height`
  Thumbnail height, usually shouldn't exceed 320.
  `TdApi.InputFile`
  `thumbnail`
  Thumbnail file to send.
  `int`
  `width`
  Thumbnail width, usually shouldn't exceed 320.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputThumbnail()`
  A thumbnail to be sent along with a file; must be in JPEG or WEBP format for stickers, and less than 200 KB in size.
  `InputThumbnail(TdApi.InputFile thumbnail, int width, int height)`
  A thumbnail to be sent along with a file; must be in JPEG or WEBP format for stickers, and less than 200 KB in size.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### thumbnail

    public TdApi.InputFile thumbnail
    Thumbnail file to send. Sending thumbnails by fileId is currently not supported.

  - ### width

    public int width
    Thumbnail width, usually shouldn't exceed 320. Use 0 if unknown.

  - ### height

    public int height
    Thumbnail height, usually shouldn't exceed 320. Use 0 if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputThumbnail

    public InputThumbnail()
    A thumbnail to be sent along with a file; must be in JPEG or WEBP format for stickers, and less than 200 KB in size.

  - ### InputThumbnail

    public InputThumbnail(TdApi.InputFile thumbnail, int width, int height)
    A thumbnail to be sent along with a file; must be in JPEG or WEBP format for stickers, and less than 200 KB in size.
    Parameters:
      `thumbnail` - Thumbnail file to send. Sending thumbnails by fileId is currently not supported.
      `width` - Thumbnail width, usually shouldn't exceed 320. Use 0 if unknown.
      `height` - Thumbnail height, usually shouldn't exceed 320. Use 0 if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR